net.sf.jasperreports.engine.xml

## Class JRBaseFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory
  Direct Known Subclasses:
    ChartSettingsXmlFactory, ChartSettingsXmlFactory.ChartLegendFactory, ChartSettingsXmlFactory.ChartSubtitleFactory, ChartSettingsXmlFactory.ChartTitleFactory, IconLabelComponentFactory, ItemDataXmlFactory, ItemPropertyXmlFactory, ItemXmlFactory, JasperDesignFactory, JasperPrintFactory, JRAbstractStyleFactory, JRAreaChartFactory, JRAreaPlotFactory, JRBandFactory, JRBar3DChartFactory, JRBar3DPlotFactory, JRBarChartFactory, JRBarPlotFactory, JRBoxFactory, JRBreakFactory, JRBubbleChartFactory, JRBubblePlotFactory, JRCandlestickChartFactory, JRCandlestickPlotFactory, JRCategoryDatasetFactory, JRCategorySeriesFactory, JRCellContentsFactory, JRChartAxisFactory, JRChartFactory, JRChartFactory.JRCategoryAxisFormatFactory, JRChartFactory.JRChartAxisFormatFactory, JRChartFactory.JRChartLegendFactory, JRChartFactory.JRChartSubtitleFactory, JRChartFactory.JRChartTitleFactory, JRChartPlotFactory, JRChartPlotFactory.JRSeriesColorFactory, JRComponentElementFactory, JRConditionalStyleFactory, JRCrosstabBucketExpressionFactory, JRCrosstabBucketFactory, JRCrosstabCellFactory, JRCrosstabDatasetFactory, JRCrosstabFactory, JRCrosstabGroupFactory, JRCrosstabMeasureExpressionFactory, JRCrosstabMeasureFactory, JRCrosstabParameterValueExpressionFactory, JRDataRangeFactory, JRDatasetFactory, JRDatasetRunFactory, JRDatasetRunParameterExpressionFactory, JRDatasetRunParameterFactory, JRDefaultValueExpressionFactory, JRElementDatasetFactory, JRElementFactory, JRElementGroupFactory, JREllipseFactory, JRExpressionFactory, JRExpressionFactory.ArbitraryExpressionFactory, JRExpressionFactory.BooleanExpressionFactory, JRExpressionFactory.ComparableExpressionFactory, JRExpressionFactory.ComparatorExpressionFactory, JRExpressionFactory.ConnectionExpressionFactory, JRExpressionFactory.DataSourceExpressionFactory, JRExpressionFactory.DateExpressionFactory, JRExpressionFactory.DoubleExpressionFactory, JRExpressionFactory.IntegerExpressionFactory, JRExpressionFactory.MapExpressionFactory, JRExpressionFactory.NumberExpressionFactory, JRExpressionFactory.ObjectExpressionFactory, JRExpressionFactory.StringExpressionFactory, JRFieldFactory, JRFontFactory, JRFrameFactory, JRGanttChartFactory, JRGanttDatasetFactory, JRGanttSeriesFactory, JRGenericElementFactory, JRGenericElementParameterFactory, JRGenericElementTypeFactory, JRGenericPrintElementFactory, JRGenericPrintElementParameterFactory, JRGenericPrintElementParameterFactory.ParameterValueFactory, JRGraphicElementFactory, JRGroupFactory, JRHighLowChartFactory, JRHighLowDatasetFactory, JRHighLowPlotFactory, JRHyperlinkFactory, JRHyperlinkParameterFactory, JRImageFactory, JRInitialValueExpressionFactory, JRItemLabelFactory, JRLineChartFactory, JRLineFactory, JRLinePlotFactory, JRMeterChartFactory, JRMeterIntervalFactory, JRMeterPlotFactory, JRMultiAxisChartFactory, JRMultiAxisPlotFactory, JROriginFactory, JRParagraphFactory, JRParameterFactory, JRPenFactory, JRPie3DChartFactory, JRPie3DPlotFactory, JRPieChartFactory, JRPieDatasetFactory, JRPiePlotFactory, JRPieSeriesFactory, JRPrintElementFactory, JRPrintEllipseFactory, JRPrintFontFactory, JRPrintFrameFactory, JRPrintGraphicElementFactory, JRPrintHyperlinkParameterFactory, JRPrintHyperlinkParameterValueFactory, JRPrintImageFactory, JRPrintImageSourceFactory, JRPrintLineFactory, JRPrintPageFactory, JRPrintRectangleFactory, JRPrintTextFactory, JRPropertyExpressionFactory, JRQueryFactory, JRRectangleFactory, JRScatterChartFactory, JRScatterPlotFactory, JRScriptletFactory, JRSectionFactory, JRSortFieldFactory, JRStackedAreaChartFactory, JRStackedBar3DChartFactory, JRStackedBarChartFactory, JRStaticTextFactory, JRStringExpressionFactory, JRSubreportExpressionFactory, JRSubreportFactory, JRSubreportParameterFactory, JRSubreportReturnValueFactory, JRTextElementFactory, JRTextFieldFactory, JRThermometerChartFactory, JRThermometerPlotFactory, JRTimePeriodDatasetFactory, JRTimePeriodSeriesFactory, JRTimeSeriesChartFactory, JRTimeSeriesDatasetFactory, JRTimeSeriesFactory, JRTimeSeriesPlotFactory, JRValueDatasetFactory, JRValueDisplayFactory, JRVariableExpressionFactory, JRVariableFactory, JRXyAreaChartFactory, JRXyBarChartFactory, JRXyDatasetFactory, JRXyLineChartFactory, JRXySeriesFactory, JRXyzDatasetFactory, JRXyzSeriesFactory, MapXmlFactory, MarkerDatasetXmlFactory, MarkerPropertyXmlFactory, MarkerXmlFactory, PrintBookmarkFactory, SortComponentSymbolFactory, SpiderChartXmlFactory, SpiderDatasetXmlFactory, SpiderPlotXmlFactory, StandardTableFactory, TabStopFactory

      public abstract class JRBaseFactory
      extends java.lang.Object
      implements org.apache.commons.digester.ObjectCreationFactory

  Version:
    $Id: JRBaseFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.digester.Digester` | `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.digester.Digester` | `getDigester()`
    `void` | `setDigester(org.apache.commons.digester.Digester digester)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.digester.ObjectCreationFactory

      `createObject`

- - ### Field Detail

    - #### digester

          protected transient org.apache.commons.digester.Digester digester

  - ### Constructor Detail

    - #### JRBaseFactory

          public JRBaseFactory()

  - ### Method Detail

    - #### getDigester

          public org.apache.commons.digester.Digester getDigester()

      Specified by:
        `getDigester` in interface `org.apache.commons.digester.ObjectCreationFactory`

    - #### setDigester

          public void setDigester(org.apache.commons.digester.Digester digester)

      Specified by:
        `setDigester` in interface `org.apache.commons.digester.ObjectCreationFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com